#!/bin/sh

name="xcdroast"
title="X-CD-Roast"
package="xcdroast"
version="0.98alpha13"
build="2"
noarch="n"
build_info="Standard build."

info="A package dedicated to powerful and easy CD creation."
desc="X-CD-Roast is a program-package dedicated to easy CD creation
under most Unix-platforms. It combines command line tools like
'cdrecord', 'cdda2wav', and 'mkisofs' into a nice graphical
user interface."
category="tools/cdr"
environment="x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,COPYING,ChangeLog,INSTALL,README,doc/{DOCUMENTATION,FAQ,README.ProDVD,README.atapi,README.nonroot,TRANSLATION.HOWTO}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://cesnet.dl.sourceforge.net/sourceforge/xcdroast/$name-$version.tar.gz

configure_option --prefix=/usr/X11R6
configure_option --sysconfdir=/etc
configure_option --with-cdrtools-prefix=/usr
configure_option --with-xcdroast-libdir-prefix=/usr/X11R6/lib/xcdroast

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: xcdroast.builder,v $
# Revision 1.5  2003/01/21 15:36:29  swiergot
# - Build 2.
#
# Revision 1.4  2003/01/21 15:26:02  swiergot
# - Added configure_option --with-cdrtools-prefix=/usr.
# - Added configure_option --with-xcdroast-lib-prefix=/usr/X11R6/lib/xcdroast.
#
# Revision 1.3  2003/01/17 12:22:20  swiergot
# - Build 1.
#
# Revision 1.2  2003/01/17 08:42:37  swiergot
# - Added configure_option --sysconfdir=/etc.
#
# Revision 1.1  2003/01/16 22:32:45  swiergot
# - Initial release.
# - Version 0.98alpha13.
#
